OpenNMS API 1.2.9

## org.opennms.web.event
Class EventIdNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.opennms.web.event.EventIdNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class EventIdNotFoundException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `badId`
`protected java.lang.String` `message`

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`EventIdNotFoundException(java.lang.String msg, java.lang.String id)`

Method Summary
`java.lang.String` `getBadID()`
`java.lang.String` `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### badId

    protected java.lang.String badId

### message

    protected java.lang.String message

Constructor Detail

### EventIdNotFoundException

    public EventIdNotFoundException(java.lang.String msg,
                                    java.lang.String id)

Method Detail

### getMessage

    public java.lang.String getMessage()

### getBadID

    public java.lang.String getBadID()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.